/**
 * Card-wrapper
 * Library card used in
 * - node--article--teaser.html.twig
 * - node--events--teaser.html.twig
 * - views-view-list--events.html.twig
 * - views-view-unformatted--authors.html
 */


/**
 * Global style
 */

.card-wrapper {
    display: grid;
    gap: 1rem;
}
@media all and (min-width: 1000px) {
  .card-wrapper {
      gap: 2rem;
  }
}


.card-wrapper--2,
.card-wrapper--3,
.card-wrapper--4,
.card-wrapper--4-first-big {
  grid-template-columns: repeat(1, 1fr);
  justify-items: center;
}
@media all and (min-width: 600px) {
  .card-wrapper--4,
  .card-wrapper--4-first-big {
    grid-template-columns: repeat(2, calc(50% - 0.9125rem));
    gap: 1.875rem;
    grid-template-areas: "a a";
  }
  .card-wrapper--4-first-big *:first-child {
    grid-area: a;
    max-width: 700px;
  }
}
@media all and (min-width: 750px) {
  .card-wrapper--2 {
    grid-template-columns: repeat(2, 1fr);
  }
  .card-wrapper--3 {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media all and (min-width: 1000px) {
  .card-wrapper {
    gap: 2rem;
  }
}
@media screen and (min-width: 1200px) {
  .card-wrapper--4,
  .card-wrapper--4-first-big {
    grid-template-columns: repeat(4, calc(25% - 0.9125rem));
    grid-template-areas: "a a b c";
  }
  .card-wrapper--4-first-big :first-child .book-card__image {
    padding: 2.844rem 0;
  }
  .card-wrapper--4-first-big :first-child .book-card__image a {
    scale: 1.2;
  }
}


/**
 * Footer style of wrappers
 */

.block-views-blockarticles-block-1 .view-footer,
.block-views-blockevents-block-1 .view-footer,
.block-views-blockevents-block-fourcol .view-footer {
    margin-top: 1rem;
}
.block-views-blockarticles-block-1 h2,
.block-views-blockevents-block-1  h2 {
    margin-top: 0;
    margin-bottom: 1rem;
}
@media all and (min-width: 750px) {
    .block-views-blockarticles-block-1 .view-footer,
    .block-views-blockevents-block-1 .view-footer,
    .block-views-blockevents-block-fourcol .view-footer {
        margin-top: 3rem;
    }
    .block-views-blockarticles-block-1 h2,
    .block-views-blockevents-block-1 h2 {
        margin-top: 0;
        margin-bottom: 2rem;
    }
}
